dpkg-vendor(1)

NOM
dpkg-vendor - Récupère les informations sur les éditeurs de distribution

SYNOPSIS
dpkg-vendor [option...] commande

DESCRIPTION
dpkg-vendor est un outil qui permet de récupérer des informations sur les éditeurs (« vendors ») de distributions référencés dans /usr/pkg/share/dpkg/dpkg/origins. /usr/pkg/share/dpkg/dpkg/origins/default contient l'information relative à l'éditeur actuellement utilisé.

The origin files provide metadata about specific vendors, such as their URL or where to file bug reports, and are usually used both to determine the behavior of tools and resulting contents during package builds targeting a specific vendor, and to describe the provenance of packages.

Packages can explicitly declare their vendor by including an Origin field, otherwise the vendor for a package without such field is assumed to be the one pointed to by the default origin symbolic link.

The default symbolic link is also used to denote the origin of the current installation managed by dpkg, be that a full distribution or an overlay on top of an existing base system that contains either no packaging system or a native one.

This program was introduced in dpkg 1.15.1.

COMMANDES

--is éditeur
    Retourne 0 si l'éditeur est éditeur. Retourne 1 dans le cas contraire.

--derives-from éditeur
    Retourne 0 si la distribution de l'éditeur actuel est une distribution dérivée de éditeur, autrement, retourne 1. Le champ Parent est utilisé pour parcourir tous les ancêtres de l'éditeur actuel.

--query champ
    Affiche sur la sortie standard la valeur du champ spécifique champ de l'éditeur actuel.

--help
    Afficher un message d'aide puis quitter.

--version
    Afficher le numéro de version puis quitter.

OPTIONS

--vendor éditeur
    Suppose que l'éditeur actuel est éditeur au lieu d'utiliser la variable DEB_VENDOR ou /usr/pkg/share/dpkg/dpkg/origins/default.

ENVIRONNEMENT

DEB_VENDOR
    Ce réglage définit l'éditeur (« vendor ») actuel. Si cette valeur est vide, le contenu du fichier /usr/pkg/share/dpkg/dpkg/origins/default est utilisé.

DPKG_COLORS
    Définit le mode de couleur (depuis dpkg 1.18.5). Les valeurs actuellement acceptées sont auto (par défaut), always et never.

DPKG_NLS
    Si cette variable est définie, elle sera utilisée pour décider l'activation de la prise en charge des langues (NLS – Native Language Support), connu aussi comme la gestion de l'internationalisation (ou i18n) (depuis dpkg 1.19.0). Les valeurs permises sont : 0 et 1 (par défaut).

FICHIERS

  Gestion de l'empaquetage

/usr/pkg/share/dpkg/vendor.mk
    Makefile snippet that sets the current vendor and its parent into variables, and provides make macros to check for derivatives (since dpkg 1.16.1).

VOIR AUSSI
deb-origin(5).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.